audiosample.h File Reference

Encoding and decoding of audio samples. More...

`#include <climits>`
`#include <itpp/base/ittypes.h>`
`#include <itpp/srccode/g711.h>`

Go to the source code of this file.

## Classes

class | itpp::Audio_Sample< enc_mulaw8 >
| uLaw-encoded Audio samples. More...
class | itpp::Audio_Sample< enc_linear8 >
| 8-bit PCM encoded audio samples. More...
class | itpp::Audio_Sample< enc_linear16 >
| 16-bit PCM encoded audio samples More...
class | itpp::Sample_24
| Small class to represent 24-bit PCM samples. More...
class | itpp::Audio_Sample< enc_linear24 >
| 24-bit PCM encoded audio samples. More...
class | itpp::Audio_Sample< enc_linear32 >
| 32-bit PCM encoded audio samples. More...
class | itpp::Audio_Sample< enc_float >
| Audio samples encoded as floats. More...
class | itpp::Audio_Sample< enc_double >
| Audio samples encoded as doubles. More...
class | itpp::Audio_Sample< enc_alaw8 >
| aLaw-encoded Audio samples. More...

## Namespaces

namespace | itpp
| itpp namespace

## Enumerations

enum | itpp::Audio_Encoding { enc_unknown = 0 , enc_mulaw8 = 1 , enc_alaw8 = 27 , enc_linear8 = 2 , enc_linear16 = 3 , enc_linear24 = 4 , enc_linear32 = 5 , enc_float = 6 , enc_double = 7 }
| Supported encoding types for audio samples. More...

## Functions

template<typename T , T max_abs>
T | itpp::limit_audio_sample (double s)
| Helper function for scaling and limiting of audio samples.
template<typename T , T down_scaling>
double | itpp::audio_sample_to_double (T s)
| Helper function for scaling and limiting of audio samples.
template<typename Binary_Out_Stream >
Binary_Out_Stream & | itpp::operator<< (Binary_Out_Stream &s, Sample_24 v)
| insertion operator for 24-bit PCM sample
template<typename Binary_In_Stream >
Binary_In_Stream & | itpp::operator>> (Binary_In_Stream &s, Sample_24 &v)
| extraction operator for 24-bit PCM sample
std::size_t | itpp::encoded_sample_size (Audio_Encoding e)
| Size of encoded sample based on the encoding type e.

## Detailed Description

Encoding and decoding of audio samples.

Author
  Andy Panov

Copyright (C) 2013 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file audiosample.h.

Generated on Mon Jun 10 2024 11:49:28 for IT++ by Doxygen 1.9.8